Profiles
List friends
A Steam account's friends list. Costs 1 credit per page. Needs the Starter plan or above.
x-api-key<token>
In: header
Path Parameters
steamId*string
A SteamID64, a Steam Community profile URL or a custom-URL (vanity) name.
Length
length <= 200Query Parameters
page?integer
Page to return, from 1
Range
1 <= valueDefault
1limit?integer
Friends per page, up to 100
Range
1 <= value <= 100Default
100Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/profiles/{steamId}/friends"{ "data": [ { "steamId": "76561198004854956", "personaName": "dupreeh", "avatar": "https://avatars.steamstatic.com/e12aeafea28030bcf86bdc2fed4bbc6ec6205856_medium.jpg", "profileUrl": "https://steamcommunity.com/id/duppedaddy/", "isPublic": true, "countryCode": "DK", "friendSince": "2022-01-10T09:14:10.000Z" } ], "pagination": { "page": 1, "limit": 100, "total": 362, "totalPages": 4 }}